/* 
  - RUTA: /views
  - PARRILLA DE PROGRAMACIÓN - {{channel}}
  - SE ENCUENTRAN BOTONES: PRELIMINAR, JEFATURA, EXTRANJERO, PROMOCIONES, INTRANET, INTERNO, VALORIZADA
*/
<template>
  <div class="view_style margin-0-4">
    <header style="margin:10rem 0 0">
      <ReturnButton :spanTitle="2" title="Regresar" @clickEvent="goTo('grid')"></ReturnButton>
      <el-row>
        <!-- Subtítulo -->
        <el-col :span="24">
          <div class="titleSection">PARRILLA DE PROGRAMACIÓN - {{subTitle}}</div>
        </el-col>
        
        <el-col :span="24" style="display: flex; justify-content: flex-end">
          <!-- BUTTON PARRILLA PRELIMINAR -->
          <el-button @click="goTo('gridContentPreliminary')" plain class="border-green text-green"> PARRILLA PRELIMINAR </el-button>
          <!-- BUTTON OPEN GRID -->
          <el-button :disabled="userName == 'MMANSI'" @click="goTo('gridContent', subTitle)" type="primary" > PARRILLA </el-button>   
          <!-- BUTTON CLOSE GRID -->
          <el-button :disabled="userName == 'MMANSI'" @click="goTo('closeGuide')"  plain class="border-red text-red" > CIERRE DE PARRILLA </el-button>
        </el-col>
      </el-row>
    </header>
    
    <!-- Cuerpo -->
    <main style="position: relative;">

      <div class="bor-gray hover-green" style="position:absolute; top:8vh; left:0vw;" @click="goToParrilla('gridPreliminary')">
        <h3 class="subTitle-card"> PRELIMINAR </h3>
      </div>

      <div class="bor-gray hover-green" style="position:absolute; top: 17vh; left: 12vw;" @click="goToParrilla('parrillaJefatura')">
        <h3 class="subTitle-card">JEFATURA</h3>
      </div>
      <div class="bor-gray hover-green" style="position:absolute; top: 26vh; left: 24vw;" @click="goToParrilla('parrillaExtranjero')">
        <h3 class="subTitle-card">EXTRANJERO</h3>
        <!-- <div class="styleTitleView"></div> -->
      </div>
      <div class="bor-gray hover-green" style="position:absolute; top: 35vh; left: 36vw;" @click="goToParrilla('parrillaPromociones')">
        <h3 class="subTitle-card">PROMOCIONES</h3>
        <!-- <div class="styleTitleView"></div> -->
      </div>
      <div class="bor-gray hover-green" style="position:absolute; top: 44vh; left: 48vw" @click="goToParrilla('parrillaIntranet')">
        <h3 class="subTitle-card">INTRANET</h3>
        <!-- <div class="styleTitleView"></div> -->
      </div>
      <div class="bor-gray hover-green" style="position:absolute; top: 53vh; left: 60vw; margin-bottom: 50px !important" @click="goToParrilla('parrillaInterno')">
        <h3 class="subTitle-card">INTERNO</h3>
      </div>
      <div class="bor-gray hover-green" style="position:absolute; top: 62vh; left: 71vw; margin-bottom: 50px !important" @click="goToParrilla('parrillaPrecios')">
        <h3 class="subTitle-card">VALORIZADA</h3>
      </div>
    </main>
  </div>
</template>

<script>
  import ReturnButton from '@/components/ReturnButton.vue'

  export default {
    components: {
      ReturnButton
    },
    data() {
      let subTitle = this.$route.params.subTitle || 'AMÉRICA TV'
      return {
        userName: '',
        userEmail: localStorage.getItem('userEmail'),
        subTitle: this.$localStorage.get('channelTransmition')
      }
    },
    methods: {
      gettingUsername() { 
        let user = this.userEmail.split('@')[0]
        this.userName = user.toUpperCase()
      },
      goTo(value, content) {
        if(value) {
          let obj = {type: content}
          this.$router.push({ name: value, params: obj })
        }
      },
      goToParrilla(nameRoute){
        this.$router.push({ name: nameRoute})
      }
    },
    created () {
     this.gettingUsername()
    }
  };
</script>

<style>
  .view_style .bor-orange{
    border:2px solid #ff5000; 
    background-color:white;
    width:15%;
    height: 30%;
    padding: 5px 10px;
    color: #ff5000;
  }
  .view_style .bor-gray{
    position: absolute;
    width: 255px;
    height: 140px;
    left: 149.52px;
    top: 382.37px;
    background: #FFFFFF;
    color: #828282;
    border: 2px solid rgba(130, 130, 130, 0.6);
    box-sizing: border-box;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.25);
    font-weight: 500;
    font-size: 16px;
    line-height: 23px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    
  }
  .view_style .styleTitleView{
    padding: 10px;
    width: 55%;
    height: 60%;
  }
  .view_style .bor-o:hover{
    cursor: pointer;
    background-color: #ff5000;
    color: aliceblue
  }
  .view_style .hover-green:hover{
    background: #38AD6A;
    border: 2px solid #38AD6A;
    box-sizing: border-box;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.25);
    color: #FFFFFF;
  }
  .view_style .subTitle-card {
    position: absolute;
    top: 35px;
    left: 20px;
  }
</style>